# Generated by Django 5.0.4 on 2024-11-13 00:59

from django.db import migrations

def add_subscription_recommendations(apps, schema_editor):
    model = apps.get_model("home", "SubscriptionRecommendation")
    model.objects.create(
        name="BBC News",
        description="BBC News - News Front Page.",
        url="http://feeds.bbci.co.uk/news/rss.xml"
    )
    model.objects.create(
        name="BBC News · Entertainment",
        description="BBC News - Culture.",
        url="https://feeds.bbci.co.uk/news/entertainment_and_arts/rss.xml"
    )
    model.objects.create(
        name="BBC News · Technology",
        description="BBC News - Technology.",
        url="https://feeds.bbci.co.uk/news/technology/rss.xml"
    )
    model.objects.create(
        name="Sky News",
        description="The Latest News from the UK and Around the World.",
        url="https://feeds.skynews.com/feeds/rss/home.xml"
    )
    model.objects.create(
        name="Sky News · Strange News",
        description="Weird News - Strange and Odd News Stories.",
        url="https://feeds.skynews.com/feeds/rss/strange.xml"
    )
    model.objects.create(
        name="Free Games Finder",
        description="Free Games Finder's mission is to find and raise awareness of free games.",
        url="https://steamcommunity.com/groups/freegamesfinders/rss/"
    )


class Migration(migrations.Migration):

    dependencies = [
        ('home', '0019_subscriptionrecommendation_and_more'),
    ]

    operations = [
        migrations.RunPython(add_subscription_recommendations)
    ]
